name: build lightwatch
run-name: ${{ gitea.actor }} is testing out Gitea Actions 🚀
on: 
  push:
    branches:
      - main
    paths-ignore:
      - ".gitea/workflows/**"

jobs:
  build:
    runs-on: ubuntu-latest
    container: 
      image: registry.local/catthehacker:act-latest-wagnerca
      volumes:
        - /var/run/user/1000/docker.sock:/var/run/docker.sock
        - /var/run/secrets/kubernetes.io/serviceaccount:/var/run/secrets/kubernetes.io/serviceaccount
      env:
        KUBERNETES_PORT: "tcp://10.43.0.1:443"
        KUBERNETES_PORT_443_TCP: "tcp://10.43.0.1:443"
        KUBERNETES_PORT_443_TCP_ADDR: "10.43.0.1"
        KUBERNETES_PORT_443_TCP_PORT: "443"
        KUBERNETES_PORT_443_TCP_PROTO: "tcp"
        KUBERNETES_SERVICE_HOST: "10.43.0.1"
        KUBERNETES_SERVICE_PORT: "443"
        KUBERNETES_SERVICE_PORT_HTTPS: "443"
        BUILDKIT_HOST: "docker-container://wagner-buildkitd"
    steps:
      - uses: actions/checkout@v3
      - run: docker buildx create --use --name=wagner-buildkitd --driver=remote
      - run: docker buildx ls
      - name: short-sha
        id: short-sha
        run: echo "short-sha=$(git rev-parse --short HEAD)" >> $GITHUB_OUTPUT
      - run: |
             docker buildx build . \
             -t registry.local/rgbarm64lib:${{ steps.short-sha.outputs.short-sha }}   \
             -t registry.local/rgbarm64lib:latest \
             --platform=linux/arm64,linux/amd64 \
             --push
